import React from 'react';
import { PropsWithMetadata } from '@highlight-ui/utils-commons';
import type { ToggleInputGroupProps } from '@highlight-ui/toggle-input';
import type { CheckboxProps } from './Checkbox';
export declare type CheckboxGroupOption = Pick<CheckboxProps, 'metadata' | 'className' | 'id' | 'label' | 'subLabel' | 'disabled' | 'tooltipContent' | 'tooltipMouseOutDelay' | 'tone' | 'indeterminate'> & Required<Pick<CheckboxProps, 'value'>>;
export declare type CheckboxGroupProps = ToggleInputGroupProps & PropsWithMetadata<{
    /** Array of options to render as Checkbox components */
    options: CheckboxGroupOption[];
    /** The current selected options value */
    value?: CheckboxGroupOption['value'][];
    /** Gets called each time an option is checked. The only argument of this callback is an
     * array of CheckboxGroupOption.
     */
    onChange?: (option: CheckboxGroupOption[]) => void;
}>;
declare const CheckboxGroup: React.ForwardRefExoticComponent<{
    className?: string | undefined;
    name?: string | undefined;
    disabled?: boolean | undefined;
    orientation?: "vertical" | "horizontal" | undefined;
} & {
    metadata?: import("@highlight-ui/utils-commons").ComponentMetadata | undefined;
} & {
    /** Array of options to render as Checkbox components */
    options: CheckboxGroupOption[];
    /** The current selected options value */
    value?: (string | number | readonly string[])[] | undefined;
    /** Gets called each time an option is checked. The only argument of this callback is an
     * array of CheckboxGroupOption.
     */
    onChange?: ((option: CheckboxGroupOption[]) => void) | undefined;
} & React.RefAttributes<HTMLDivElement>>;
export default CheckboxGroup;
